> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Archive projects

POST https://{tenant_name}.benchling.com/api/v2/projects:archive
Content-Type: application/json

Archives projects and their contents

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/projects/archive-projects

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects a ProjectsArchive.

- `projectIds` (list of string, required) — A list of project IDs to archive.
- `reason` (enum, required) — The reason for archiving the provided projects. Accepted reasons may differ based on tenant configuration.
  - Allowed values: `Made in error`, `Retired`, `Other`

## Response

### 200

OK

- `aaSequenceIds` (list of string, optional)
- `customEntityIds` (list of string, optional)
- `dnaSequenceIds` (list of string, optional)
- `entryIds` (list of string, optional)
- `folderIds` (list of string, optional)
- `mixtureIds` (list of string, optional)
- `oligoIds` (list of string, optional)
- `projectIds` (list of string, optional)
- `protocolIds` (list of string, optional)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (BadRequestErrorError, optional)

## Types

### BadRequestErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)

## Examples

**Request**

```json
{
  "projectIds": [
    "string"
  ],
  "reason": "Made in error"
}
```

**Response**

```json
{
  "aaSequenceIds": [
    "string"
  ],
  "customEntityIds": [
    "string"
  ],
  "dnaSequenceIds": [
    "string"
  ],
  "entryIds": [
    "string"
  ],
  "folderIds": [
    "string"
  ],
  "mixtureIds": [
    "string"
  ],
  "oligoIds": [
    "string"
  ],
  "projectIds": [
    "string"
  ],
  "protocolIds": [
    "string"
  ]
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/projects:archive"

payload = {
    "projectIds": ["string"],
    "reason": "Made in error"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/projects:archive';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"projectIds":["string"],"reason":"Made in error"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```